tecnoysoft software y tecnologia

Como Instalar Google Chrome en Debian Jessie

Google Chrome stable Debian Jessie

Aunque en este caso podríamos optar por descargarnos el .deb y así facilitar su instalación, no olvidemos que hablamos de Debian. En el caso que nos ocupa, el .deb instala el repositorio necesario para las actualizaciones automáticas, pero es una verdadera excepción. En general es no es la norma, por ese motivo saber como hacerlo manualmente, es un plus.

Desde el momento en que Google Chrome anuncia la retirara del soporte para arquitecturas de 32 bits, solo está disponible en 64 bits. La solución pasa por el parámetro [arch=amd64], estableciendo así la búsqueda solo para los registros de 64 bits. Aquí los detalles del proceso:

Abrimos un Terminal como root, editamos nuestro archivo sources.list y añadimos el repositorio de Google Chrome stable.

# nano /etc/apt/sources.list

Y añadimos el repositorio.

# Chrome
deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main

Guardamos los cambios (Ctrl+O Enter Ctrl+X).

Ahora añadimos la llave pública del repositorio «Google Chrome stable» a apt.

# gpg --keyserver keys.gnupg.net --recv-key A040830F7FAC5991
# gpg --export --armor A040830F7FAC5991 | apt-key add -

Actualizamos la base de datos.

# apt-get update

Y para finalizar, procedemos a instalar Google Chrome stable.

# apt-get install google-chrome-stable

Esto es todo amigos, a seguir disfrutando de nuestro Debian Jessie. 😉

94 respuestas para “Como Instalar Google Chrome en Debian Jessie

Elías R.M.

Hola Jesús,

Perece que tienes un buen lio montado con los repositorios, me sorprendería si fueses capaz de instalar algo… Empieza ejecutando este comando:

# apt-get install -f

Ese comando seguramente querrá desapuntalar cosas, si no son paquetes importantes, dile que si, porque mientras tengas paquetes rotos no podrás hacer nada.

También veo que estás usando Canaima 3.0 mezclado con 3.1, que son versiones muy antiguas, tienes que pensar en actualizar a 4.1, porque seguro que habrá muchos paquetes que el sistema no acepte por ser tan viejo.

Y lo más importante, veo que tienes instalada la versión de Canaima de 32 bits y este tutorial está pensado para 64bits. Además dudo que ese paquete cumpla dependencias en Canaima…

Te recomiendo que compruebes si tu procesador es de 64bits y, si es así, instales la versión de Canaima, o mejor de Debian, para procesadores de 64bits, le sacarás mas partido a tu PC.

Saludos.


Agustin

Hola, ese error esta relacionado con la versión de tu Debian, logré reproducir el problema en un Debian 32 bit, Chrome no esta dando soporte para 32 bits aparentemente, por eso falla al buscar el paquete.
Volví a probar en Debian 64 bit y no me dió el problema, todo ok como en el tutorial.

Saludos!

agustin@arbol.uy


Agustin

Hola, ese error esta relacionado con la versión de tu Debian, logré reproducir el problema en un Debian 32 bit, Chrome no esta dando soporte para 32 bits aparentemente, por eso falla al buscar el paquete.
Volví a probar en Debian 64 bit y no me dió el problema, todo ok como en el tutorial.

Saludos!


José Miguel

Ok. compañero, muchas gracias por el aporte, así todos salimos beneficiados.

Saludos.


Alejandro

Hola, alguien sabe porque me sale esto?

Cambio de medio: Inserte el disco etiquetado como
«Debian GNU/Linux 8.5.0 _Jessie_ – Official amd64 DVD Binary-1 20160604-15:35»
en la unidad «/media/cdrom/» y pulse Intro


José Miguel

Lo primero que hago después de la instalación del sistema, es editar el fichero sources.list y comentar o borrar las lineas deb cdrom. Esas lineas no son necesarias, así evitarás ese tipo de inconvenientes.

nano /etc/apt/sources.list

Comentar la linea o lineas deb cdrom

# deb cdrom:[Debian GNU/Linux 8.5.0 _Jessie_ – Official amd64 DVD Binary-1 20160604-15:35]

Guardar los cambios:

Ctrl+O Enter Ctrl+X

Y Listo.


Christian

Funciona a la perfeccion!! Ahora si a probar ese Brackets jaja Saludos.


Luis

Pues a me ha funcionado perfectamente. ¡Muchas gracias estimado!.


José Miguel

Me alegro Luis. Bienvenido…

Saludos


Alfonso

Perfecto José Miguel. Me salía este error: «W: No existe ninguna clave pública disponible para los siguientes identificadores de clave:
1397BC53640DB551», pero se solucionó con el comando siguiente que apuntas.
Muchas gracias hombre.


José Miguel

De nada, para eso estamos. 🙂

Saludos.


Wilmar Alberto Martinez

Excelente me funciono perfecto, muchas gracias!


José Miguel

Me alegro, gracias a ti por comentar.

Saludos.


edu

Hola soy nuevo con linux me salió el error inserte el DVD, lo solucione borrando las lineas como indican mas arriba
Ahora me sale este error
Los siguientes paquetes tienen dependencias incumplidas:
google-chrome-stable : Depende: libappindicator1 pero no es instalable
E: No se pudieron corregir los problemas, usted ha retenido paquetes rotos.
Ejecuté los comandos de este tutorial
http://www.grupoandroid.com/topic/119308-reparar-paquetes-rotos-o-mal-instalados-en-ubuntudebian/
pero no me funcionaron ahora no puedo instalar el chrome


Elías R.M.

Hola Edu,

La verdad es que con la información que me das no puedo hacer mucho, empieza arreglando tu sistema con estos comandos:

# apt-get update
# apt-get -f install

Después ejecuta estos comandos, copia el resultado en pastebin y pásame el enlace. A ver si así me puedo hacer una idea de lo que te puede estar pasando:

# uname -a
# cat /etc/apt/sources.list
# dpkg --list | grep "^ii"

Saludos


kk

Muchas gracias por tu aporte me ayudo mucho!


José Miguel

Gracias a ustedes por comentar, es nuestro «premio».

Saludos.


Juan Carlos Colque

Muchas Gracias me sirvio a la perfeccion


José Miguel

Me alegro, gracias a ti por comentar.

Saludos.


José Miguel

Muchas gracias, se agradece el comentario.

Saludos.


polux

Muchas gracias, excelente, me funciono muy bien, gracias.


José Miguel

Muchas gracias por comentar.

Saludos.


goxiblez

He creado un fichero para tenerlo preparado automático para sistemas operativo de 64bits.

################################################################################

Crear fichero Install_ch64.sh

#!/bin/bash
echo «# Chrome» >> /etc/apt/sources.list
echo «deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main» >> /etc/apt/sources.list
gpg –keyserver keys.gnupg.net –recv-key A040830F7FAC5991
gpg –export –armor A040830F7FAC5991 | apt-key add –
apt-get update
wget -q -O – https://dl.google.com/linux/linux_signing_key.pub | apt-key add –
apt-get update
apt-get install google-chrome-stable

Entran a la terminal, pones su y pones la contraseña. Una vez dentro del directorio donde ese fichero, escribes en la terminal sh Install_ch64.sh

Muchas gracias. Saludos


José Miguel

Muchas gracias por la aportación.

Saludos.


goxiblez

No es nada, gracias a ti, me ha interesado mucho.

la ultima vez no pude poner mi correo porque lo puse incompleto. Saludos


José Miguel

El correo no es obligatorio, en este sitio se puede comentar de forma anónima y sin moderación.

Saludos.


zemogf

Saludos Elías R.M.

Quería saber si me puedes ayudar: Tengo Canaima 4.1 x86_64, modelo EF10MI2.
Al seguir los pasos que se exponen en este toturial me tropiezo en el siguiente error:

root@canaima-educativo:/home/canaima# apt-get install google-chrome-stable
Leyendo lista de paquetes… Hecho
Creando árbol de dependencias
Leyendo la información de estado… Hecho
No se pudieron instalar algunos paquetes. Esto puede significar que
usted pidió una situación imposible o, si está usando la distribución
inestable, que algunos paquetes necesarios no han sido creados o han
sido movidos fuera de Incoming.
La siguiente información puede ayudar a resolver la situación:

Los siguientes paquetes tienen dependencias incumplidas:
google-chrome-stable : Depende: libstdc++6 (>= 4.8.0) pero 4.7.2-5 va a ser instalado
E: No se pudieron corregir los problemas, usted ha retenido paquetes rotos.

Buscando este tipo de falla me tropece con este enlace:
http://askubuntu.com/questions/758571/google-chrome-stable-depends-on-libstdc6-4-8-0-however-version-of-libs
Lo que pude entender la solucion es engorroza y riesgoza.

Reconozco que el tutorial es para Debian Jesie. Y que Canaima 4.1 esta basado en debian wheezy.

Queria saber si fuera posible hacer esta instalación, me interesa sobre todo por que necesito usar una aplicacion android y con este navegador puedo hacer la instalacion. También acepto la sugerencia de un emulador de android para linux que me sea funcional.
He pensado en esta estrategia ya que no he tenido exito en instalar wine version 1.7 o mayor, que es el que necesito para algún emulador funcional en este sistema operativo.

Agradezco de antemano cualquier apoyo en este sentido.

Gracias


Mariano

He intentado instlarlo desde otro post mas o menos siguiendo los mismos pasos que vos señalas pero para 32bits y no anduvo. Luego intente instalar el paquete para 64 bits que vos propones (solo por probar) y me encontre con que la terminal no me deja guardar los cambios en el archivo. Me pone acceso denegado. No tengo idea de por que…


Mariano

Hola! Perdon, el post anterior salió cortado. Tengo debian 8.3 en una netbook dell de 1,3ghertz, como es una maquina medio vieja le instale la arquitectura de 32 bits. Si no entendi mal, ya no esta disponible el chrome para esta arquitectura. ¿hay alguna forma de instalarlo igual o me conviene actualizar el SO?
[AHORA SIGUE LO DEL POST DE ARRIBA]


José Miguel

En algun momento a todos nos ha pasado. Para administrar el sistema has de loguearte como administrador, es un requisito imprescindible.

Saludos


José Miguel

Si el hardware lo permite, yo actualizaria el software. A mi entender es la mejor opción.

Saludos.


Naguissa

Hola,

He usado el método de Fernando (sin usar el otro) y ha funcionado perfectamente a la 1a.

¡Muchas gracias!


José Miguel

Supongo que te refieres a la solución de Elias al error que le da a Fernando, muchas gracias por comentar.

Saludos.


luis Eduardo

Excelente muchas gracias me sirvió perfectamente


José Miguel

Me alegro Eduardo, ese es el objetivo.

Saludos.


Fernando E Guzman

Fernando Emelio
Muchas gracias, todo funciono .


José Miguel

OK Fernando, muchas gracias por comentar.

Saludos.


Alejandra

disculpa esto donde lo debemos poner?

Ahora añadimos la llave pública del repositorio “Google Chrome stable” a apt.

# gpg –keyserver keys.gnupg.net –recv-key A040830F7FAC5991
# gpg –export –armor A040830F7FAC5991 | apt-key add –


José Miguel

En la consola, se trata de lineas de comandos.

Saludos.


adrian

a mi no me da la instalacion me dice que no se puede localizar el paquete google-chrome-stable segui los procedimientos al pie de la letra


José Miguel

Una pregunta:
¿Añadiste el repositorio con éxito?
Porque de ser así, no entiendo el motivo.
Pásame una captura del proceso de instalación, así podré ver lo que sucede.

Saludos.


Los comentarios están cerrados.